-- name: [PET] Mother Teddy Bear
-- description: a fluffy shield for you and your friends! Now as a mod for WiddlePets!

if not _G.wpets then return end

local E_MODEL_EBTEDDY = smlua_model_util_get_id('mother_teddy_geo')

local ID_EBTEDDY = _G.wpets.add_pet({
	name = "Teddy Bear", credit = "MlopsFunny",
	description = "A fluffy little bear plush from Twoson, perfect for shielding you and your friends!",
	modelID = E_MODEL_EBTEDDY,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_head(ID_EBTEDDY)

_G.wpets.set_pet_sounds(ID_EBTEDDY, {
	spawn = 'teddy_squeak_sound.ogg',
	happy = 'teddy_squeak_sound.ogg',
	vanish = 'teddy_squeak_sound.ogg',
	step = 'teddy_squeak_sound.ogg'
})

-- required hook for samples (audio files from the mod's 'sound' folder)
-- if no pets in your pack use samples, you can remove this section.
hook_event(HOOK_UPDATE, function ()
	-- copy the following line for each pet in the pack that uses samples.
    _G.wpets.process_pet_samples(ID_EBTEDDY)
end)